%global gitdate 20120115
%global gitrev 2e64ff4

Name:		echoprint-codegen
Version:	4.1.1
Release:	1.%{gitdate}git%{gitrev}%{?dist}
Summary:	Music Fingerprint and Resolving Framework
License:	MIT
URL:		https://github.com/echonest/echoprint-codegen
Source0:	echoprint-codegen-%{gitrev}.tar.xz
# To fetch sources, do e.g. $ sh echoprint-codegen-snapshot.sh 2e64ff4
Source1:	echoprint-codegen-snapshot.sh
# Makefile fixes. Sent upstream via email
Patch0:		echoprint-codegen-makefile.patch
# Compilation fixes. Sent upstream via email
Patch1:		echoprint-codegen-gcc47.patch
BuildRequires:	boost-devel
BuildRequires:	taglib-devel
BuildRequires:	zlib-devel


%description
Echoprint is an open source music fingerprint and resolving framework powered by
the The Echo Nest.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags} \
	BOOST_INCLUDEDIR=%{_includedir} \
	OPTFLAGS="%{optflags}" \
	-C src


%install
make install \
	DESTDIR=%{buildroot} \
	LIBDIR=%{_libdir} \
	INCLUDEDIR=%{_includedir} \
	BINDIR=%{_bindir} \
	OPTFLAGS="%{optflags}" \
	-C src



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS LICENSE README.md
%{_libdir}/libcodegen.so.*
%{_bindir}/echoprint-codegen


%files devel
%{_includedir}/echoprint/
%{_libdir}/libcodegen.so



%changelog
* Sun Jan 15 2012 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 4.1.1-1.20120115git2e64ff4
- Initial build
